Subject: Re: bug#70622: [PATCH] New window parameter 'cursor-type'

From: martin rudalics <[email-masked]>
Date: Sun, 12 May 2024 10:29:24 +0200

> The ANYTHING ELSE clause is simply defensive programming, something we
 > do in many other places.  It can easily hide mistakes, and I see no
 > reason not to help users find those mistakes.

I'm not a fan of strong typing but I agree with you.  The problem I see
is that we don't care about catching mistakes when setting the variable
or the corresponding frame parameter.  If we want to help users finding
mistakes, we should care everywhere in a consistent fashion.

 > But if you are still unconvinced, I won't argue, although I still
 > don't understand your and Eshel's objections.

I only stated my personal view and will leave it to Eshel and you how
serve users best.

martin